Skip to main content
DocsPlatformsAPI ReferenceAI & Integrations
Posts

Edit a draft or scheduled post

Replaces an editable post. Drafts remain drafts with saveAsDraft=true, publish immediately with publishNow=true, or become scheduled with scheduledFor. Scheduled posts keep their schedule.

PUT/v1/posts/{postId}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

postId*string

Post identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/posts/string" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "platforms": [      {        "platform": "twitter",        "accountId": "string"      }    ]  }'
{
  "success": true,
  "status": "draft",
  "scheduledFor": "2019-08-24T14:15:22Z",
  "postId": "string",
  "platforms": [
    {
      "platform": "twitter",
      "success": true,
      "platformPostUrl": "string",
      "error": "string",
      "warningMessage": "string"
    }
  ]
}
{
  "success": true,
  "status": "draft",
  "scheduledFor": "2019-08-24T14:15:22Z",
  "postId": "string",
  "platforms": [
    {
      "platform": "twitter",
      "success": true,
      "platformPostUrl": "string",
      "error": "string",
      "warningMessage": "string"
    }
  ]
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}